<?php
				//MODIFICADAS

				for($i=0;$i<$_REQUEST['numExistentesEp'];$i++)
				{
						if($_REQUEST['Ep'.$i.'cur']!="")
						{
							mysql_query("UPDATE historial SET idCurso=".$_REQUEST['Ep'.$i.'cur']." WHERE id=".$_REQUEST['idEp'.$i], $conexion);
						}
						$idanio=$_REQUEST['Ep'.$i.'anio'];
						$otroanio=$_REQUEST['OtroEp'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
							mysql_query("UPDATE historial SET idAnio=$idanio WHERE id=".$_REQUEST['idEp'.$i], $conexion);
						}
						mysql_query("UPDATE historial SET centro='".$_REQUEST['Ep'.$i.'centro']."' WHERE id=".$_REQUEST['idEp'.$i], $conexion);
						$idmedida=$_REQUEST['Ep'.$i.'med'];
						$otromed=$_REQUEST['OtroEp'.$i.'med'];
						if($idmedida!="")
						{
							if($idmedida=="Otra") //Nueva Medida
							{
								if($otromed!="")
								{
									mysql_query("INSERT INTO medidaseducativas (medidasEducativas) VALUES ('".$otromed."')", $conexion);
									$consultaMed=mysql_query("SELECT * FROM medidaseducativas ORDER BY id DESC",$conexion);
									$filaMed=mysql_fetch_array($consultaMed);
									$idmedida=$filaMed['id'];
								} else
								{
									$idmedida=0;
								}
							}
							mysql_query("UPDATE historial SET idMed=$idmedida WHERE id=".$_REQUEST['idEp'.$i], $conexion);
						}
						$idabs=$_REQUEST['Ep'.$i.'abs'];
						$otroabs=$_REQUEST['OtroEp'.$i.'abs'];
						if($idabs!="")
						{
							if($idabs=="Otra") //Nuevo Absentismo
							{
								if($otroabs!="")
								{
									mysql_query("INSERT INTO absentismos (absentismo) VALUES ('".$otroabs."')", $conexion);
									$consultaAbs=mysql_query("SELECT * FROM absentismos ORDER BY id DESC",$conexion);
									$filaAbs=mysql_fetch_array($consultaAbs);
									$idabs=$filaAbs['id'];
								} else
								{
									$idabs=0;
								}
							}
							mysql_query("UPDATE historial SET idAbs=$idabs WHERE id=".$_REQUEST['idEp'.$i], $conexion);
						}
						
						for($j=1;$j<6;$j++)
						{
							if($_REQUEST['Ep'.$i.'obsDocumento'.$j]!="" && $_REQUEST['Ep'.$i.'obsDocumento'.$j]!=$_REQUEST['Ep'.$i.'obsDocumentoAntiguo'.$j])
							{
								if($_REQUEST['Ep'.$i.'obsDocumentoAntiguo'.$j]!="")
									unlink($_REQUEST['Ep'.$i.'obsDocumentoAntiguo'.$j]);
									
								$extension=$_REQUEST['Ep'.$i.'obsDocumentoExt'.$j];
								rename("documentos/historial/".$_REQUEST['Ep'.$i.'obsDocumento'.$j],"documentos/historial/".$_REQUEST['idEp'.$i]."_".$j.$extension);
								mysql_query("UPDATE historial SET observacionesDoc".$j."='".$_REQUEST['idEp'.$i]."_".$j.$extension."' WHERE id=".$_REQUEST['idEp'.$i],$conexion);
							}
						}

						mysql_query("UPDATE historial SET observaciones='".$_REQUEST['Ep'.$i.'obs']."' WHERE id=".$_REQUEST['idEp'.$i], $conexion);
				}

				//NUEVAS

				for(;$i<=10;$i++)
				{
					if($_REQUEST['Ep'.$i.'cur']!=0)
					{

						$idanio=$_REQUEST['Ep'.$i.'anio'];
						$otroanio=$_REQUEST['OtroEp'.$i.'anio'];
						if($idanio!="")
						{
							if($idanio=="Otra") //Nuevo Año
							{
								if($otroanio!="")
								{
									mysql_query("INSERT INTO anioacademico (anioAcademico) VALUES ('".$otroanio."')", $conexion);
									$consultaAnio=mysql_query("SELECT * FROM anioacademico ORDER BY id DESC",$conexion);
									$filaAnio=mysql_fetch_array($consultaAnio);
									$idanio=$filaAnio['id'];
								} else
								{
									$idanio=0;
								}
							}
						}

						$idmedida=$_REQUEST['Ep'.$i.'med'];
						$otromed=$_REQUEST['OtroEp'.$i.'med'];
						if($idmedida!="")
						{
							if($idmedida=="Otra") //Nueva Medida
							{
								if($otromed!="")
								{
									mysql_query("INSERT INTO medidaseducativas (medidasEducativas) VALUES ('".$otromed."')", $conexion);
									$consultaMed=mysql_query("SELECT * FROM medidaseducativas ORDER BY id DESC",$conexion);
									$filaMed=mysql_fetch_array($consultaMed);
									$idmedida=$filaMed['id'];
								} else
								{
									$idmedida=0;
								}
							}
						}

						$idabs=$_REQUEST['Ep'.$i.'abs'];
						$otroabs=$_REQUEST['OtroEp'.$i.'abs'];
						if($idabs!="")
						{
							if($idabs=="Otra") //Nuevo Absentismo
							{
								if($otroabs!="")
								{
									mysql_query("INSERT INTO absentismos (absentismo) VALUES ('".$otroabs."')", $conexion);
									$consultaAbs=mysql_query("SELECT * FROM absentismos ORDER BY id DESC",$conexion);
									$filaAbs=mysql_fetch_array($consultaAbs);
									$idabs=$filaAbs['id'];
								} else
								{
									$idabs=0;
								}
							}
						}

						mysql_query("INSERT INTO historial(nivel,idAlumno,idCurso,idAnio,centro,idMed,idAbs,observaciones) VALUES(0,$id,".$_REQUEST['Ep'.$i.'cur'].",$idanio,'".$_REQUEST['Ep'.$i.'centro']."',$idmedida,$idabs,'".$_REQUEST['Ep'.$i.'obs']."')",$conexion);

						for($j=1;$j<6;$j++)
						{
							if($_REQUEST['Ep'.$i.'obsDocumento'.$j]!="")
							{
								$consultaDocHis=mysql_query("SELECT * FROM historial ORDER BY id DESC", $conexion);
								$filaDocHis=mysql_fetch_array($consultaDocHis);
								
								$extension=$_REQUEST['Ep'.$i.'obsDocumentoExt'.$j];
								rename("documentos/historial/".$_REQUEST['Ep'.$i.'obsDocumento'.$j],"documentos/historial/".$filaDocHis['id']."_".$j.$extension);
								mysql_query("UPDATE historial SET observacionesDoc".$j."='".$filaDocHis['id']."_".$j.$extension."' WHERE id=".$filaDocHis['id'],$conexion);
							}
						}
					} else
					{
						if($_REQUEST['Ep'.$i.'obsDocumento']!="")
						{
							unlink($_REQUEST['Ep'.$i.'obsDocumento']);
						}
					}
				}
?>
